> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a draft version of the product price

> ## Create a draft version of the product price ##

<p>
Creates a draft version of the product price which can be used to make further edits. While the main route to
PUT changes to a product price will automatically create a new draft when necessary and return the new ID,
some other routes (e.g. to manage package options) do not.
</p>
<p>
The exact behaviour depends on the current status of the product prices detail passed in: <ul>
<li>If it's already in Draft state no action will be taken</li>
<li>If it's in Candidate or Approved state, it will be reverted to Draft state</li>
<li>If it's in Live or History state, a duplicate Draft version of the price will be created</li>
<li>If it's in Delete Pending or Delete Approved state, an 422 error will be returned</li>
</ul>
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/product/{productId}/price/{productPricesDetailsId}/makedraft
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/price/{productPricesDetailsId}/makedraft:
    post:
      tags:
        - Version 1
        - Product Prices
      summary: Create a draft version of the product price
      description: >-
        ## Create a draft version of the product price ##


        <p>

        Creates a draft version of the product price which can be used to make
        further edits. While the main route to

        PUT changes to a product price will automatically create a new draft
        when necessary and return the new ID,

        some other routes (e.g. to manage package options) do not.

        </p>

        <p>

        The exact behaviour depends on the current status of the product prices
        detail passed in: <ul>

        <li>If it's already in Draft state no action will be taken</li>

        <li>If it's in Candidate or Approved state, it will be reverted to Draft
        state</li>

        <li>If it's in Live or History state, a duplicate Draft version of the
        price will be created</li>

        <li>If it's in Delete Pending or Delete Approved state, an 422 error
        will be returned</li>

        </ul>

        </p>
      operationId: post_api_product_productprice_makedraftprice
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: productId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
        - name: productPricesDetailsId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when the product or price is not found.
        '422':
          description: Returned when there is an issue with the data provided.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.